﻿@model IEnumerable<UserViewModel>

<div class="col-md-4">
    <h4 id="login" class="mt-0 mb-1">Users</h4>
    <table class="table table-hover">
        <thead class="thead-light">
            <tr>
                <th>@Html.DisplayNameFor(model => model.UserName)</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(modelItem => item.UserName)</td>
                    <td scope="col" class="col-lg-1 d-flex justify-content-center">
                        <a href="/Ban/CreateBan/@item.UserId" class="btn bg-transparent">
                            <img src="~/lib/images/BanRedTrans.png" alt="BackToList" width="100">
                        </a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>

@*<script>
        $("usersearch").on("keyup", function () {
            var txtenter = $(this).val();
            $("#table tr").each(function (results) {
                if (results !== 0) {
                    var id = $(this).find("td:nth-child(2)").text()
                    if (id.indexOf(txtenter) !== 0 && id.toLowerCase().indexOf(txtenter.toLowerCase()) > -1) {
                        $(this).hide();
                    }
                    else {
                        $(this).show()
                    }
                }
            })
        })
    </script>*@


@*<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script>
        $("#usersearch").on("keyup"), function () {
            var txtenter = $(this).val();
            $("table tr").each(function (results) {
                if (results !== 0) {
                    var id = $(this).find("td:nht-child(0)").text();
                    if (id.indexOf(txtenter) != 0 && id.toLowerCase().indexOf(txtenter.toLowerCase()) < 0) {
                        $(this).hide();
                    }
                    else {
                        $(this).show();
                    }
                }
            }
        }
    </script>*@
